Bug 239308 - [ Monterey WK2 ] media/media-source/media-source-webm-vorbis-partial.html is a constant failure
Summary: [ Monterey WK2 ] media/media-source/media-source-webm-vorbis-partial.html is ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jean-Yves Avenard [:jya]
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2022-04-13 15:39 PDT by Truitt Savell
Modified: 2022-04-29 18:37 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2022-04-13 15:39:07 PDT
media/media-source/media-source-webm-vorbis-partial.html

This test is constantly failing on Monterey wk2. 

The diff is the exact same and we fixed this for Monterey back with https://bugs.webkit.org/show_bug.cgi?id=227559 This test started showing up in history on 3/17

history:
https://results.webkit.org/?suite=layout-tests&test=media%2Fmedia-source%2Fmedia-source-webm-vorbis-partial.html&version_name=Monterey

Diff:
--- /Volumes/Data/worker/monterey-debug-applesilicon-tests-wk2/build/layout-test-results/media/media-source/media-source-webm-vorbis-partial-expected.txt
+++ /Volumes/Data/worker/monterey-debug-applesilicon-tests-wk2/build/layout-test-results/media/media-source/media-source-webm-vorbis-partial-actual.txt
@@ -3,18 +3,9 @@
 EVENT(sourceopen)
 RUN(source.duration = loader.duration())
 RUN(sourceBuffer = source.addSourceBuffer(loader.type()))
+NotSupportedError: The operation is not supported.
 RUN(sourceBuffer.appendBuffer(loader.initSegment()))
-EVENT(update)
-Divide the first media segment in two.
-RUN(partial1 = loader.mediaSegment(0).slice(0, 280))
-RUN(partial2 = loader.mediaSegment(0).slice(280))
-Append a partial media segment.
-RUN(sourceBuffer.appendBuffer(partial1))
-EVENT(update)
-Complete the partial media segment.
-RUN(sourceBuffer.appendBuffer(partial2))
-EVENT(update)
-EXPECTED (sourceBuffer.buffered.length == '1') OK
-EXPECTED (sourceBuffer.buffered.end(0) > '1') OK
+TypeError: undefined is not an object (evaluating 'sourceBuffer.appendBuffer')
+Caught exception: "TypeError: undefined is not an object (evaluating 'element.addEventListener')" FAIL
 END OF TEST
Comment 1 Radar WebKit Bug Importer 2022-04-13 15:39:30 PDT
<rdar://problem/91719356>
Comment 2 Truitt Savell 2022-04-13 15:50:42 PDT
Marked test as failing in https://trac.webkit.org/changeset/292839/webkit while its investigated
Comment 3 Jean-Yves Avenard [:jya] 2022-04-13 19:15:19 PDT
Likely regressed by https://bugs.webkit.org/show_bug.cgi?id=238757
Comment 4 Jean-Yves Avenard [:jya] 2022-04-27 05:53:27 PDT
regressed by bug 228777
Comment 5 Jean-Yves Avenard [:jya] 2022-04-27 17:04:04 PDT
Pull request: https://github.com/WebKit/WebKit/pull/422
Comment 6 EWS 2022-04-29 18:37:48 PDT
Committed r293640 (250144@main): <https://commits.webkit.org/250144@main>

Reviewed commits have been landed. Closing PR #422 and removing active labels.